Skip to main content

Get resource activities

GET 

/activities

Retrieve an resource activities

Request

Query Parameters

    siteId string

    Site Identifier

    documentId string

    Document Identifier

    entityTypeId string

    EntityType Identifier

    namespace string

    Possible values: [PRESET, CUSTOM]

    Namespace Identifier

    entityId string

    Entity Identifier

    rulesetId string

    RulesetId Identifier

    ruleId string

    RuleId Identifier

    workflowId string

    Workflow Identifier

    attributeKey string

    Attribute Key

    schema string

    Possible values: [document]

    Schema Type

    classificationId string

    Classification Id

    mappingId string

    Mapping Id

    apiKey string

    Api Key

    controlPolicy string

    Possible values: [opa]

    Control Policy

    start date-time

    Start of date-time range (UTC)

    end date-time

    End of date-time range (UTC)

    sort string

    Possible values: [ASC, DESC]

    Sort order (default DESC)

    next string

    Next page of results token

    limit string

    Limit Results

    Default value: 10
    userId string

    Fetch specific user activities

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    next string

    Next page of results token

    activities

    object[]

    List of Entity Type activities

  • Array [

  • resource string

    Resource of Activity

    type string

    Type of Activity

    source string

    The Source of the activity

    sourceIpAddress string

    The Source IP address of the user

    message string

    The activity message

    status ActivityStatus (string)

    The status of the activity

    Possible values: [COMPLETE, FAILED, UNAUTHORIZED]

    insertedDate string

    Inserted Timestamp

    userId string

    User who added document

    documentId

    Document Identifier

    attributeKey

    Document Attribute Key

    entityTypeId string

    Entity Type Identifier

    entityId string

    Entity Identifier

    apiKey string

    API Key

    rulesetId string

    Ruleset Identifier

    schema string

    Schema Identifier

    mappingId string

    Mapping Identifier

    classificationId string

    Classification Identifier

    ruleId string

    Ruleset Rule Identifier

    workflowId string

    Workflow Identifier

    controlPolicy string

    Control Policy Type

    changes

    object

    property name*

    UserActivityChanges

    oldValue object

    Previous key value

    newValue object

    New key value

  • ]

Loading...